module ScormTestGroup {
    export class ScormTestClass extends Base.BasicGroup {
        game: Phaser.Game;
        constructor(game, name, x, y, json) {
            super(game, name, x, y, json);
            this.game = game;
        }
        preload() {
            super.preload();
            this.game.load.spritesheet("button", "Graphics/GUI/MW/MW_karta_pracy_button_next.png", 120, 120, 2);
        }
        create() {
            super.create();
            
            var btn = this.game.add.button(300, 300, "button", this.btn1, 0, 0, 1, 0, 0, this);
            var btn2 = this.game.add.button(450, 300, "button", this.btn2, 0, 0, 1, 0, 0, this);
          
        }
        btn1() {
            ScormHelper.ScormHelper.setExamCompleted("0","100","51");
        }
        btn2() {
            ScormHelper.ScormHelper.setWorkCardCompleted();
        }
    }
}